Alternar status de ativo/inativo do turno
curl --request GET \
--url https://api.example.com/turnos/{turnoId}/statusconst options = {method: 'GET'};
fetch('https://api.example.com/turnos/{turnoId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos/{turnoId}/status"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos/{turnoId}/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos/{turnoId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos/{turnoId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"turnoId": "turno-id",
"tipoTurno": "turnoFixo",
"nome": "Turno diurno",
"codigo": 57,
"colaboradores": 82,
"ativo": true,
"createdAt": 1778504939257,
"updatedAt": 1778504939257
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Turno
Alternar status de ativo/inativo do turno
GET
/
turnos
/
{turnoId}
/
status
Alternar status de ativo/inativo do turno
curl --request GET \
--url https://api.example.com/turnos/{turnoId}/statusconst options = {method: 'GET'};
fetch('https://api.example.com/turnos/{turnoId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos/{turnoId}/status"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos/{turnoId}/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos/{turnoId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos/{turnoId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"turnoId": "turno-id",
"tipoTurno": "turnoFixo",
"nome": "Turno diurno",
"codigo": 57,
"colaboradores": 82,
"ativo": true,
"createdAt": 1778504939257,
"updatedAt": 1778504939257
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Path Parameters
ID do turno
Response
Resumo do update do turno
Id do turno
Example:
"turno-id"
Tipo de Turno
Available options:
turnoFixo, turnoFlexivel, turnoRevezamento, turnoCiclo Nome do turno
Example:
"Turno diurno"
Código identificador do turno
Example:
57
Número de colaboradores vinculado ao turno
Example:
82
Flag para indicar se o turno está habilitado
Example:
true
Data de criação do registro
Example:
1778504939257
Data da ultima alteração do registro
Example:
1778504939257